Combined
API referenceEndpointsOnboarding

Complete Onboarding

Complete setup only after the server verifies a successful query receipt created by this same AI against its active grant.

POST
/v1/onboarding/complete

Complete setup only after the server verifies a successful query receipt created by this same AI against its active grant.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/onboarding/complete" \  -H "Content-Type: application/json" \  -d '{    "accountId": "00000000-0000-4000-8000-000000000001",    "receiptId": "00000000-0000-4000-8000-000000000006"  }'
{  "data": {    "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",    "agent": {      "principalId": "0a52818d-1e0c-4e64-848e-4d04f9e914e5",      "workosRegistrationId": "string",      "capabilities": [        "query"      ]    },    "completed": true,    "completionReceiptId": "fec7dd5d-fa42-4d11-9b1f-49aec35d0f36",    "humanActionUrl": "http://example.com",    "latestEligibleReceiptId": "af11a7b5-8542-4dda-9026-5b8879446ed9",    "nextAction": "connect_source",    "sources": [      {        "availableDatasetCount": 0,        "datasetCount": 0,        "displayName": "string",        "granted": true,        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "lastSuccessAt": "2019-08-24T14:15:22Z",        "state": "string"      }    ],    "evidence": {      "completed_at": "2019-08-24T14:15:22Z",      "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7",      "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81"    }  },  "correlationId": "string"}